J/kamaki - Bug # 4325

Status: Closed Priority: Low

Author: Dionysis Grigoropoulos Category: kamaki

Created: 09/18/2013 Assignee: Stavros Sachtouris
Updated: 10/29/2013 Due date:

Subject: Misleading error message in network delete

Description

When issuing a delete command for a network ID that is owned by another user or a network ID that doesn't exist, kamaki prints a
misleading error message. At the moment, there is no error handling for 404 in network delete, so 404 errors are handled as 421 (Network
In Use).

kamaki network delete ID_NUMBER

(404) Network with id ID_NUMBER is in use

| Disconnect all nics/VMs of this network first

| *to get nics: /network info ID_NUMBER

| . (under "attachments" section)

| *to disconnect: /network disconnect <nic id>

| NOT FOUND itemNotFound (Network not found.)

Associated revisions
Revision ef3488a7 - 10/01/2013 02:58 pm - Stavros Sachtouris

Gracefuly raise 404 error in network delete

Refs: #4325

History

#1 - 09/26/2013 05:10 pm - Stavros Sachtouris

- Target version changed from v0.10 to v0.11
#2 - 10/01/2013 02:59 pm - Stavros Sachtouris
- Status changed from New to Resolved

- % Done changed from 0 to 100

#3 - 10/29/2013 12:15 pm - Stavros Sachtouris
- Status changed from Resolved to Closed
